/*
 * Generated by XDoclet - Do not edit!
 */
package com.clustercontrol.accesscontrol.ejb.session;

/**
 * Local interface for AccessController.
 * @xdoclet-generated at ${TODAY}
 * @copyright The XDoclet Team
 * @author XDoclet
 * @version 4.0.0
 */
public interface AccessControllerLocal
   extends javax.ejb.EJBLocalObject
{
   /**
    * ログインチェックの為、本メソッドを使用します。
    */
   public void checkLogin(  ) ;

   /**
    * ユーザ検索条件に基づき、ユーザ一覧情報を取得する。<BR>
    * @param filter ユーザ検索条件（ユーザフィルタダイアログの入力値）
    * @return ユーザ情報のリスト
    * @throws HinemosUnknown
    * @throws UserNotFound
    * @see com.clustercontrol.accesscontrol.factory.LoginUserSelector#getUserList(Property)    */
   public java.util.ArrayList getUserInfoList( com.clustercontrol.accesscontrol.bean.UserFilterInfo filter ) throws com.clustercontrol.fault.UserNotFound, com.clustercontrol.fault.HinemosUnknown;

   /**
    * 自身のユーザ情報を取得する。<BR>
    * @return 自身のユーザ情報
    * @throws HinemosUnknown
    * @throws UserNotFound    */
   public com.clustercontrol.accesscontrol.bean.UserInfo getOwnUserInfo(  ) throws com.clustercontrol.fault.HinemosUnknown, com.clustercontrol.fault.UserNotFound;

   /**
    * ユーザ情報を取得する。<BR>
    * @param userId ユーザID
    * @param mode 取得モード
    * @param locale ロケール情報
    * @return ユーザ情報
    * @throws HinemosUnknown
    * @see com.clustercontrol.bean.PropertyConstant
    * @see com.clustercontrol.accesscontrol.factory.UserProperty#getProperty(String, int, Locale)    */
   public com.clustercontrol.accesscontrol.bean.UserInfo getUserInfo( java.lang.String userId ) throws com.clustercontrol.fault.HinemosUnknown;

   /**
    * ユーザ認証する<BR>
    * @param username ユーザ名
    * @param password パスワード
    * @param role
    * @return ユーザ情報
    * @throws InvalidUserPass
    * @throws HinemosUnknown    */
   public void getUserInfoByPassword( java.lang.String username,java.lang.String password,java.util.ArrayList roleList ) throws com.clustercontrol.fault.InvalidUserPass, com.clustercontrol.fault.InvalidRole, com.clustercontrol.fault.HinemosUnknown;

   /**
    * ユーザを追加する。<BR>
    * @param info ユーザ情報
    * @throws HinemosUnknown
    * @throws ParseException
    * @throws UserDuplicate
    * @see com.clustercontrol.accesscontrol.factory.LoginUserModifier#addUser(Property, String, String)    */
   public void addUserInfo( com.clustercontrol.accesscontrol.bean.UserInfo info ) throws com.clustercontrol.fault.HinemosUnknown, com.clustercontrol.fault.UserDuplicate, com.clustercontrol.fault.InvalidSetting;

   /**
    * ユーザ情報を変更する。<BR>
    * @param info ユーザ情報
    * @throws HinemosUnknown
    * @throws UserNotFound
    * @see com.clustercontrol.accesscontrol.factory.LoginUserModifier#modifyUser(Property, String)    */
   public void modifyUserInfo( com.clustercontrol.accesscontrol.bean.UserInfo info ) throws com.clustercontrol.fault.HinemosUnknown, com.clustercontrol.fault.UserNotFound, com.clustercontrol.fault.InvalidSetting;

   /**
    * ユーザ情報を削除する。<BR>
    * @param userId ユーザID
    * @throws HinemosUnknown
    * @throws UserNotFound
    * @see com.clustercontrol.accesscontrol.factory.LoginUserModifier#deleteUser(String, String)    */
   public void deleteUserInfo( java.lang.String userId ) throws com.clustercontrol.fault.HinemosUnknown, com.clustercontrol.fault.UserNotFound;

   /**
    * 自分自身のパスワードを変更する。<BR>
    * @param userId ユーザID
    * @param password パスワード
    * @throws HinemosUnknown
    * @throws UserNotFound    */
   public void changeOwnPassword( java.lang.String password ) throws com.clustercontrol.fault.HinemosUnknown, com.clustercontrol.fault.UserNotFound;

   /**
    * パスワードを変更する。<BR>
    * @param userId ユーザID
    * @param password パスワード
    * @throws HinemosUnknown
    * @throws UserNotFound
    * @see com.clustercontrol.accesscontrol.factory.LoginUserModifier#modifyUserPassword(String, String)    */
   public void changePassword( java.lang.String userId,java.lang.String password ) throws com.clustercontrol.fault.HinemosUnknown, com.clustercontrol.fault.UserNotFound;

   /**
    * ログインしているユーザが指定したユーザ権限を持っているかどうかを確認する。<BR>
    * @param userRole ユーザ権限名
    * @return ユーザ権限を保持していればtrue, そうでなければfalse
    * @throws HinemosUnknown    */
   public boolean isPermission( java.lang.String userRole ) throws com.clustercontrol.fault.HinemosUnknown;

   /**
    * ログインユーザのユーザ名を取得する。<BR>
    * @return ユーザ名
    * @throws HinemosUnknown
    * @throws UserNotFound
    * @see com.clustercontrol.accesscontrol.factory.LoginUserSelector#getUserName(String)    */
   public java.lang.String getUserName(  ) throws com.clustercontrol.fault.HinemosUnknown, com.clustercontrol.fault.UserNotFound;

   /**
    * バージョン番号を取得する。<BR>
    * @return バージョン番号    */
   public java.lang.String getVersion(  ) ;

   /**
    * 引数で指定されたユーザがジョブユニットの管理ユーザに設定されているか確認する<BR>
    * @param userId
    * @return 引数で指定されたユーザが管理ユーザに設定されているジョブユニットIDのリスト
    * @throws UserNotFound
    * @throws HinemosUnknown
    * @see com.clustercontrol.bean.TableColumnInfo    */
   public java.util.ArrayList checkJobManagementUser( java.lang.String userId ) throws com.clustercontrol.fault.UserNotFound, com.clustercontrol.fault.HinemosUnknown;

}
