/*
 * Generated by XDoclet - Do not edit!
 */
package com.clustercontrol.calendar.ejb.session;

/**
 * Local interface for CalendarController.
 * @generated 
 * @xdoclet-generated at ${TODAY}
 * @copyright The XDoclet Team
 * @author XDoclet
 * @version 4.0.0
 */
public interface CalendarControllerLocal
   extends javax.ejb.EJBLocalObject
{
   /**
    * カレンダ一覧を取得します。<BR>
    * @return カレンダ情報のリスト
    * @throws CalendarNotFound
    * @throws HinemosUnknown    */
   public java.util.ArrayList getCalendarList(  ) throws com.clustercontrol.fault.CalendarNotFound, com.clustercontrol.fault.HinemosUnknown;

   /**
    * カレンダ曜日別情報一覧を取得します。<BR>
    * @return カレンダ曜日別情報のリスト
    * @throws FinderException
    * @throws HinemosUnknown    */
   public java.util.ArrayList getWeekdayList( java.lang.String id ) throws com.clustercontrol.fault.CalendarNotFound, com.clustercontrol.fault.HinemosUnknown;

   /**
    * カレンダ追加情報一覧を取得します。<BR>
    * @return カレンダ追加情報のリスト
    * @throws CalendarNotFound
    * @throws HinemosUnknown    */
   public java.util.ArrayList getAddList( java.lang.String id ) throws com.clustercontrol.fault.CalendarNotFound, com.clustercontrol.fault.HinemosUnknown;

   /**
    * 各カレンダの実行予定を取得します。<BR>
    * @return カレンダ実行予定のリスト
    * @throws CalendarNotFound
    * @throws HinemosUnknown    */
   public java.util.ArrayList getSchedule( java.lang.Long base ) throws com.clustercontrol.fault.CalendarNotFound, com.clustercontrol.fault.HinemosUnknown;

   /**
    * 引数で指定したカレンダーIDに対応するカレンダ情報を取得します。<BR>
    * @param id
    * @return カレンダ情報
    * @throws CalendarNotFound
    * @throws HinemosUnknown    */
   public com.clustercontrol.calendar.bean.CalendarInfo getCalendar( java.lang.String id ) throws com.clustercontrol.fault.CalendarNotFound, com.clustercontrol.fault.HinemosUnknown;

   /**
    * カレンダ（基本）情報を登録します。<BR> 引数のDTOの内容をマネージャに登録します。
    * @param info　登録するカレンダー（基本）情報
    * @return 
    * @throws CalendarDuplicate
    * @throws HinemosUnknown    */
   public void addCalendar( com.clustercontrol.calendar.bean.CalendarInfo info ) throws com.clustercontrol.fault.CalendarDuplicate, com.clustercontrol.fault.HinemosUnknown, com.clustercontrol.fault.InvalidSetting;

   /**
    * カレンダ（基本）情報を変更します。<BR> 引数のプロパティの内容で更新します。
    * @param info
    * @return 
    * @throws CalendarNotFound
    * @throws HinemosUnknown    */
   public void modifyCalendar( com.clustercontrol.calendar.bean.CalendarInfo info ) throws com.clustercontrol.fault.CalendarNotFound, com.clustercontrol.fault.HinemosUnknown, com.clustercontrol.fault.InvalidSetting;

   /**
    * カレンダ(基本）情報を 削除します。<BR> 引数のIDに対応するカレンダー（基本）情報を削除します。
    * @param id カレンダーID
    * @return 
    * @throws CalendarNotFound
    * @throws HinemosUnknown    */
   public void deleteCalendar( java.lang.String id ) throws com.clustercontrol.fault.CalendarNotFound, com.clustercontrol.fault.HinemosUnknown;

   /**
    * 引数で指定したカレンダーIDに対応するカレンダ曜日別情報を取得します。<BR>
    * @param id
    * @param weekday
    * @param from
    * @param to
    * @return カレンダ曜日別情報
    * @throws CalendarNotFound
    * @throws HinemosUnknown    */
   public com.clustercontrol.calendar.bean.WeekdayInfo getWeekday( java.lang.String id,java.lang.Integer weekday,java.lang.Long from,java.lang.Long to ) throws com.clustercontrol.fault.CalendarNotFound, com.clustercontrol.fault.HinemosUnknown;

   /**
    * カレンダ曜日別情報を登録します。<BR>
    * @param id
    * @param info
    * @return 
    * @throws CalendarDuplicate
    * @throws HinemosUnknown
    * @throws CalendarNotFound    */
   public void addWeekday( java.lang.String id,com.clustercontrol.calendar.bean.WeekdayInfo info ) throws com.clustercontrol.fault.CalendarDuplicate, com.clustercontrol.fault.HinemosUnknown, com.clustercontrol.fault.CalendarNotFound, com.clustercontrol.fault.InvalidSetting;

   /**
    * カレンダ曜日別情報を変更します。<BR>
    * @param id
    * @param weekday
    * @param from
    * @param to
    * @param info
    * @return 
    * @throws CalendarNotFound
    * @throws CalendarDuplicate
    * @throws HinemosUnknown    */
   public void modifyWeekday( java.lang.String id,java.lang.Integer weekday,java.lang.Long from,java.lang.Long to,com.clustercontrol.calendar.bean.WeekdayInfo info ) throws com.clustercontrol.fault.CalendarNotFound, com.clustercontrol.fault.CalendarDuplicate, com.clustercontrol.fault.HinemosUnknown, com.clustercontrol.fault.InvalidSetting;

   /**
    * カレンダ曜日別情報を削除します。<BR> idで指定されたカレンダー（実行規則）情報を削除します。
    * @param id カレンダーID
    * @param weekday 曜日
    * @param from 時間帯
    * @param to 時間帯
    * @return 
    * @throws CalendarNotFound
    * @throws HinemosUnknown    */
   public void deleteWeekday( java.lang.String id,java.lang.Integer weekday,java.lang.Long from,java.lang.Long to ) throws com.clustercontrol.fault.CalendarNotFound, com.clustercontrol.fault.HinemosUnknown;

   /**
    * カレンダ追加情報用プロパティを取得します。<BR> 引数のカレンダーID、日時区間に対応するカレンダー（実行例外）情報を取得します。
    * @param id
    * @param from
    * @param to
    * @return カレンダ追加情報
    * @throws CalendarNotFound
    * @throws HinemosUnknown    */
   public com.clustercontrol.calendar.bean.CalendarAddInfo getCalendarAdd( java.lang.String id,java.lang.Long from,java.lang.Long to ) throws com.clustercontrol.fault.CalendarNotFound, com.clustercontrol.fault.HinemosUnknown;

   /**
    * カレンダ追加情報を登録します。<BR> idとプロパティの情報を元にカレンダー（実行例外）情報をマネージャに登録します。
    * @param id
    * @param info
    * @return 
    * @throws CalendarNotFound
    * @throws CalendarDuplicate
    * @throws HinemosUnknown    */
   public void addCalendarAdd( java.lang.String id,com.clustercontrol.calendar.bean.CalendarAddInfo info ) throws com.clustercontrol.fault.CalendarNotFound, com.clustercontrol.fault.CalendarDuplicate, com.clustercontrol.fault.HinemosUnknown, com.clustercontrol.fault.InvalidSetting;

   /**
    * カレンダ追加情報を変更します。<BR> idで指定されたカレンダー（例外実行）情報を変更します。
    * @param id
    * @param from
    * @param to
    * @param info
    * @return 
    * @throws CalendarNotFound
    * @throws CalendarDuplicate
    * @throws HinemosUnknown    */
   public void modifyCalendarAdd( java.lang.String id,java.lang.Long from,java.lang.Long to,com.clustercontrol.calendar.bean.CalendarAddInfo info ) throws com.clustercontrol.fault.CalendarNotFound, com.clustercontrol.fault.CalendarDuplicate, com.clustercontrol.fault.HinemosUnknown, com.clustercontrol.fault.InvalidSetting;

   /**
    * カレンダ追加情報を削除します。<BR> idで指定されたカレンダー（実行例外）情報を削除します。
    * @param id カレンダーID
    * @param from 時間帯
    * @param to 時間帯
    * @return 
    * @throws CalendarNotFound
    * @throws HinemosUnknown    */
   public void deleteCalendarAdd( java.lang.String id,java.lang.Long from,java.lang.Long to ) throws com.clustercontrol.fault.CalendarNotFound, com.clustercontrol.fault.HinemosUnknown;

   /**
    * カレンダが実行可能かチェックします。<BR> 引数のカレンダーidが引数のタイムスタンプにおいて実行可能であるかチェックします。
    * @param id
    * @param checkTimestamp
    * @return カレンダが実行可能か
    * @throws CalendarNotFound
    * @throws HinemosUnknown    */
   public java.lang.Boolean isRun( java.lang.String id,java.lang.Long checkTimestamp ) throws com.clustercontrol.fault.CalendarNotFound, com.clustercontrol.fault.HinemosUnknown;

   /**
    * カレンダIDのリストを取得します。<BR> 引数のArrayListにはカレンダーidが含まれています。 <p> list.add(cal.getCalendar_id()); </p>
    * @return カレンダIDのリスト
    * @throws CalendarNotFound
    * @throws HinemosUnknown    */
   public java.util.ArrayList getCalendarIdList(  ) throws com.clustercontrol.fault.CalendarNotFound, com.clustercontrol.fault.HinemosUnknown;

   /**
    * 指定したカレンダIDに該当する設定情報をDTOインスタンスとして返す
    * @param calendarId カレンダID
    * @return カレンダDTOインスタンス
    * @throws CalendarInvalid 指定されたカレンダIDの格納情報が不適切な場合(不具合の可能性あり)
    * @throws HinemosUnknown 内部で予期せぬエラーが発生した場合
    * @throws CalendarNotFound 指定されたカレンダIDに該当する情報が格納されていない場合
    */
   public com.clustercontrol.calendar.bean.CalendarDTO getCalendarDTO( java.lang.String calendarId ) throws com.clustercontrol.fault.CalendarInvalid, com.clustercontrol.fault.HinemosUnknown, com.clustercontrol.fault.CalendarNotFound;

}
