/*
 * Generated by XDoclet - Do not edit!
 */
package com.clustercontrol.jobmanagement.ejb.session;

/**
 * Local interface for JobController.
 * @xdoclet-generated at ${TODAY}
 * @copyright The XDoclet Team
 * @author XDoclet
 * @version 4.0.0
 */
public interface JobControllerLocal
   extends javax.ejb.EJBLocalObject
{
   /**
    * セパレータ文字列を取得する。<BR>
    * @return セパレータ文字列    */
   public java.lang.String getSeparator(  ) ;

   /**
    * ジョブツリー情報を取得する。<BR>
    * @param treeOnly true=ジョブ情報を含まない, false=ジョブ情報含む
    * @param locale ロケール情報
    * @return ジョブツリー情報{@link com.clustercontrol.jobmanagement.bean.JobTreeItem}の階層オブジェクト
    * @throws NotifyNotFound
    * @throws HinemosUnknown
    * @throws JobMasterNotFound
    * @throws UserNotFound
    * @see com.clustercontrol.jobmanagement.factory.SelectJob#getJobTree(boolean, Locale)    */
   public com.clustercontrol.jobmanagement.bean.JobTreeItem getJobTree( boolean treeOnly,java.util.Locale locale ) throws com.clustercontrol.fault.NotifyNotFound, com.clustercontrol.fault.HinemosUnknown, com.clustercontrol.fault.JobMasterNotFound, com.clustercontrol.fault.UserNotFound;

   /**
    * ジョブツリー情報を取得する。<BR>
    * @param jobInfo ジョブ情報(ツリー情報のみ)
    * @return ジョブ情報(Full)
    * @throws NotifyNotFound
    * @throws JobMasterNotFound
    * @throws UserNotFound
    * @throws HinemosUnknown
    * @see com.clustercontrol.jobmanagement.factory.SelectJob#getJobFull(JobInfo jobInfo)    */
   public com.clustercontrol.jobmanagement.bean.JobInfo getJobFull( com.clustercontrol.jobmanagement.bean.JobInfo jobInfo ) throws com.clustercontrol.fault.NotifyNotFound, com.clustercontrol.fault.JobMasterNotFound, com.clustercontrol.fault.UserNotFound, com.clustercontrol.fault.HinemosUnknown;

   /**
    * ジョブツリー情報を登録する。<BR>
    * @param item ジョブツリー情報{@link com.clustercontrol.jobmanagement.bean.JobTreeItem}の階層オブジェクト
    * @throws HinemosUnknown
    * @throws JobMasterNotFound
    * @throws JobInvalid
    * @throws JobMasterNotFound
    * @see com.clustercontrol.jobmanagement.factory.ModifyJob#registerJob(JobTreeItem, String)    */
   public void registerJob( com.clustercontrol.jobmanagement.bean.JobTreeItem item ) throws com.clustercontrol.fault.HinemosUnknown, com.clustercontrol.fault.JobMasterNotFound, com.clustercontrol.fault.JobInvalid, com.clustercontrol.fault.InvalidSetting;

   /**
    * ジョブユニット単位でジョブツリー情報を置換する。<BR>
    * @param jobunit
    * @throws NotifyNotFound
    * @throws HinemosUnknown
    * @throws JobMasterNotFound
    * @throws UserNotFound
    * @throws JobInvalid    */
   public void replaceJobunit( com.clustercontrol.jobmanagement.bean.JobTreeItem jobunit ) throws com.clustercontrol.fault.NotifyNotFound, com.clustercontrol.fault.HinemosUnknown, com.clustercontrol.fault.JobMasterNotFound, com.clustercontrol.fault.UserNotFound, com.clustercontrol.fault.JobInvalid, com.clustercontrol.fault.InvalidSetting;

   /**
    * ジョブユニット単位でジョブツリー情報を登録する。登録のみで置換ではないため、既に登録済みの定義と重複がある場合は例外が発生する。<BR>
    * @param jobunit
    * @param validCheck
    * @throws NotifyNotFound
    * @throws HinemosUnknown
    * @throws JobMasterNotFound
    * @throws InvalidSetting
    * @throws JobInvalid    */
   public void registerJobunit( com.clustercontrol.jobmanagement.bean.JobTreeItem jobunit ) throws com.clustercontrol.fault.HinemosUnknown, com.clustercontrol.fault.JobMasterNotFound, com.clustercontrol.fault.JobInvalid, com.clustercontrol.fault.InvalidSetting;

   /**
    * ジョブユニット単位でジョブツリー情報を削除する。<BR>
    * @param jobunitId
    * @throws NotifyNotFound
    * @throws HinemosUnknown
    * @throws JobMasterNotFound
    * @throws InvalidSetting    */
   public void deleteJobunit( java.lang.String jobunitId ) throws com.clustercontrol.fault.NotifyNotFound, com.clustercontrol.fault.HinemosUnknown, com.clustercontrol.fault.JobMasterNotFound, com.clustercontrol.fault.InvalidSetting;

   /**
    * ジョブユニット単位でジョブツリー情報を削除する。<BR>
    * @param jobunitId
    * @param validCheck
    * @throws NotifyNotFound
    * @throws HinemosUnknown
    * @throws JobMasterNotFound    */
   public void deleteJobunit( java.lang.String jobunitId,boolean refCheck ) throws com.clustercontrol.fault.NotifyNotFound, com.clustercontrol.fault.HinemosUnknown, com.clustercontrol.fault.JobMasterNotFound, com.clustercontrol.fault.InvalidSetting;

   /**
    * ジョブ操作開始用プロパティを返します。<BR>
    * @param sessionId セッションID
    * @param jobunitId 所属ジョブユニットのジョブID
    * @param jobId ジョブID
    * @param facilityId ファシリティID
    * @param locale ロケール情報
    * @return ジョブ操作開始用プロパティ
    * @see com.clustercontrol.jobmanagement.factory.JobOperationProperty#getStartProperty(String, String, String, String, Locale)    */
   public java.util.ArrayList getAvailableStartOperation( java.lang.String sessionId,java.lang.String jobunitId,java.lang.String jobId,java.lang.String facilityId,java.util.Locale locale ) ;

   /**
    * ジョブ操作停止用プロパティを返します。<BR>
    * @param sessionId セッションID
    * @param jobunitId 所属ジョブユニットのジョブID
    * @param jobId ジョブID
    * @param facilityId ファシリティID
    * @param locale ロケール情報
    * @return ジョブ操作停止用プロパティ
    * @see com.clustercontrol.jobmanagement.factory.JobOperationProperty#getStopProperty(String, String, String, String, Locale)    */
   public java.util.ArrayList getAvailableStopOperation( java.lang.String sessionId,java.lang.String jobunitId,java.lang.String jobId,java.lang.String facilityId,java.util.Locale locale ) ;

   /**
    * ジョブを実行します。<BR>
    * @param jobunitId
    * @param jobId ジョブID
    * @param triggerInfo 実行契機情報
    * @throws FacilityNotFound
    * @throws HinemosUnknown
    * @throws JobInfoNotFound
    * @throws JobMasterNotFound
    * @see com.clustercontrol.jobmanagement.ejb.session.JobControllerBean#createJobInfo(String, String, NotifyRequestMessage, JobTriggerInfo)
    * @see com.clustercontrol.jobmanagement.ejb.session.JobRunManagementBean#runJob(String, String)    */
   public java.lang.String runJob( java.lang.String jobunitId,java.lang.String jobId,com.clustercontrol.jobmanagement.bean.JobTriggerInfo triggerInfo ) throws com.clustercontrol.fault.FacilityNotFound, com.clustercontrol.fault.HinemosUnknown, com.clustercontrol.fault.JobMasterNotFound, com.clustercontrol.fault.JobInfoNotFound;

   /**
    * ジョブを実行します。<BR>
    * @param jobunitId 所属ジョブユニットのジョブID
    * @param jobId ジョブID
    * @param info ログ出力情報
    * @param triggerInfo 実行契機情報
    * @throws HinemosUnknown
    * @throws JobInfoNotFound
    * @throws JobMasterNotFound
    * @see com.clustercontrol.jobmanagement.ejb.session.JobControllerBean#createJobInfo(String, String, NotifyRequestMessage, JobTriggerInfo}
    * @see com.clustercontrol.jobmanagement.ejb.session.JobRunManagementBean#runJob(String, String)    */
   public java.lang.String runJob( java.lang.String jobunitId,java.lang.String jobId,com.clustercontrol.notify.bean.OutputBasicInfo info,com.clustercontrol.jobmanagement.bean.JobTriggerInfo triggerInfo ) throws com.clustercontrol.fault.FacilityNotFound, com.clustercontrol.fault.HinemosUnknown, com.clustercontrol.fault.JobInfoNotFound, com.clustercontrol.fault.JobMasterNotFound;

   /**
    * ジョブをスケジュール実行します。<BR> Quartzからスケジュール実行時に呼び出されます。<BR>
    * @param jobunitId 所属ジョブユニットのジョブID
    * @param jobId ジョブID
    * @param calendarId カレンダID
    * @param triggerInfo 実行契機情報
    * @throws FacilityNotFound
    * @throws HinemosUnknown
    * @throws JobInfoNotFound
    * @throws JobMasterNotFound
    * @throws CalendarNotFound
    * @throws JobMasterNotFound
    * @see com.clustercontrol.calendar.ejb.session.CalendarControllerBean#isRun(String, Date)}
    * @see com.clustercontrol.jobmanagement.ejb.session.JobControllerBean#runJob(String, String, JobTriggerInfo)    */
   public void scheduleRunJob( java.lang.String jobunitId,java.lang.String jobId,java.lang.String calendarId,com.clustercontrol.jobmanagement.bean.JobTriggerInfo triggerInfo ) throws com.clustercontrol.fault.FacilityNotFound, com.clustercontrol.fault.HinemosUnknown, com.clustercontrol.fault.JobInfoNotFound, com.clustercontrol.fault.CalendarNotFound, com.clustercontrol.fault.JobMasterNotFound;

   /**
    * ジョブの実行用情報を作成します。<BR>
    * @param jobunitId 所属ジョブユニットのジョブID
    * @param jobId ジョブID
    * @param info ログ出力情報
    * @param triggerInfo 実行契機情報
    * @return セッションID
    * @throws FacilityNotFound
    * @throws HinemosUnknown
    * @throws JobInfoNotFound
    * @throws JobMasterNotFound
    * @see com.clustercontrol.jobmanagement.ejb.entity.JobSessionLocalHome#makeSession(java.lang.String, com.clustercontrol.notify.message.NotifyRequestMessage)
    * @see com.clustercontrol.jobmanagement.ejb.entity.JobSessionBean#ejbHomeMakeSession(String, NotifyRequestMessage)    */
   public java.lang.String createJobInfo( java.lang.String jobunitId,java.lang.String jobId,com.clustercontrol.notify.bean.OutputBasicInfo info,com.clustercontrol.jobmanagement.bean.JobTriggerInfo triggerInfo ) throws com.clustercontrol.fault.FacilityNotFound, com.clustercontrol.fault.HinemosUnknown, com.clustercontrol.fault.JobMasterNotFound, com.clustercontrol.fault.JobInfoNotFound;

   /**
    * ジョブ操作を行います。<BR>
    * @param property ジョブ操作用プロパティ
    * @throws HinemosUnknown
    * @throws JobInfoNotFound
    * @see com.clustercontrol.jobmanagement.ejb.session.JobRunManagementBean#operationJob(Property)    */
   public void operationJob( com.clustercontrol.jobmanagement.bean.NodeOperationInfo property ) throws com.clustercontrol.fault.HinemosUnknown, com.clustercontrol.fault.JobInfoNotFound;

   /**
    * ジョブ履歴一覧情報を返します。<BR>
    * @param property 履歴フィルタ用プロパティ
    * @param histories 表示履歴数
    * @return ジョブ履歴一覧情報（Objectの2次元配列）
    * @throws JobInfoNotFound
    * @throws HinemosUnknown
    * @see com.clustercontrol.jobmanagement.factory.SelectJob#getHistoryList(Property, int)    */
   public com.clustercontrol.jobmanagement.bean.JobHistoryList getJobHistoryList( com.clustercontrol.jobmanagement.bean.JobHistoryFilter property,int histories ) throws com.clustercontrol.fault.JobInfoNotFound, com.clustercontrol.fault.HinemosUnknown;

   /**
    * ジョブ詳細一覧情報を返します。<BR>
    * @param sessionId セッションID
    * @param jobunitId 所属ジョブユニットのジョブID
    * @return ジョブ詳細一覧情報（Objectの2次元配列）
    * @throws JobInfoNotFound
    * @throws HinemosUnknown
    * @throws JobMasterNotFound
    * @see com.clustercontrol.jobmanagement.factory.SelectJob#getDetailList(String)    */
   public com.clustercontrol.jobmanagement.bean.JobTreeItem getJobDetailList( java.lang.String sessionId ) throws com.clustercontrol.fault.JobInfoNotFound, com.clustercontrol.fault.HinemosUnknown, com.clustercontrol.fault.JobMasterNotFound;

   /**
    * ノード詳細一覧情報を返します。<BR>
    * @param sessionId セッションID
    * @param jobunitId 所属ジョブユニットのジョブID
    * @param jobId ジョブID
    * @param locale ロケール情報
    * @return ノード詳細一覧情報（Objectの2次元配列）
    * @throws JobInfoNotFound
    * @throws HinemosUnknown
    * @see com.clustercontrol.jobmanagement.factory.SelectJob#getNodeDetailList(String, String, String, Locale)    */
   public java.util.ArrayList getNodeDetailList( java.lang.String sessionId,java.lang.String jobunitId,java.lang.String jobId,java.util.Locale locale ) throws com.clustercontrol.fault.JobInfoNotFound, com.clustercontrol.fault.HinemosUnknown;

   /**
    * ファイル転送一覧情報を返します。<BR>
    * @param sessionId セッションID
    * @param jobunitId 所属ジョブユニットのジョブID
    * @param jobId ジョブID
    * @return ファイル転送一覧情報（Objectの2次元配列）
    * @throws JobInfoNotFound
    * @throws HinemosUnknown
    * @see com.clustercontrol.jobmanagement.factory.SelectJob#getForwardFileList(String, String)    */
   public java.util.ArrayList getForwardFileList( java.lang.String sessionId,java.lang.String jobunitId,java.lang.String jobId ) throws com.clustercontrol.fault.JobInfoNotFound, com.clustercontrol.fault.HinemosUnknown;

   /**
    * スケジュール情報を登録します。<BR>
    * @param info スケジュール情報
    * @throws HinemosUnknown
    * @throws InvalidSetting
    * @see com.clustercontrol.jobmanagement.factory.ModifySchedule#addSchedule(JobSchedule, String)    */
   public void addSchedule( com.clustercontrol.jobmanagement.bean.JobSchedule info ) throws com.clustercontrol.fault.HinemosUnknown, com.clustercontrol.fault.InvalidSetting;

   /**
    * スケジュール情報を変更します。<BR>
    * @param info スケジュール情報
    * @throws HinemosUnknown
    * @throws InvalidSetting
    * @see com.clustercontrol.jobmanagement.factory.ModifySchedule#modifySchedule(JobSchedule, String)    */
   public void modifySchedule( com.clustercontrol.jobmanagement.bean.JobSchedule info ) throws com.clustercontrol.fault.HinemosUnknown, com.clustercontrol.fault.InvalidSetting;

   /**
    * スケジュール情報を削除します。<BR>
    * @param scheduleId スケジュールID
    * @throws HinemosUnknown
    * @see com.clustercontrol.jobmanagement.factory.ModifySchedule#deleteSchedule(String)    */
   public void deleteSchedule( java.lang.String scheduleId ) throws com.clustercontrol.fault.HinemosUnknown;

   /**
    * スケジュール一覧情報を返します。<BR>
    * @return スケジュール一覧情報
    * @throws JobMasterNotFound
    * @throws HinemosUnknown
    * @see com.clustercontrol.jobmanagement.factory.SelectSchedule#getScheduleList()    */
   public java.util.ArrayList getScheduleList(  ) throws com.clustercontrol.fault.JobMasterNotFound, com.clustercontrol.fault.HinemosUnknown;

   /**
    * 指定されたジョブスケジュールIDの有効/無効を変更します
    * @param scheduleId
    * @param validFlag
    * @throws HinemosUnknown
    * @throws InvalidSetting    */
   public void setScheduleStatus( java.lang.String scheduleId,boolean validFlag ) throws com.clustercontrol.fault.HinemosUnknown, com.clustercontrol.fault.InvalidSetting;

   /**
    * カレンダIDリストを返します。<BR>
    * @return カレンダIDのリスト
    * @throws HinemosUnknown
    * @throws CalendarNotFound
    * @throws 
    * @see com.clustercontrol.calendar.ejb.session.CalendarControllerBean#getCalendarIdList()    */
   public java.util.ArrayList getCalendarIdList(  ) throws com.clustercontrol.fault.HinemosUnknown, com.clustercontrol.fault.CalendarNotFound;

   /**
    * セッションジョブ情報を返します。<BR>
    * @param sessionId セッションID
    * @param jobunitId 所属ジョブユニットのジョブID
    * @param jobId ジョブID
    * @return ジョブツリー情報{@link com.clustercontrol.jobmanagement.bean.JobTreeItem}
    * @throws HinemosUnknown
    * @throws NotifyNotFound
    * @throws JobInfoNotFound
    * @see com.clustercontrol.jobmanagement.factory.SelectJob#getSessionJobInfo(String, String, String)    */
   public com.clustercontrol.jobmanagement.bean.JobTreeItem getSessionJobInfo( java.lang.String sessionId,java.lang.String jobunitId,java.lang.String jobId ) throws com.clustercontrol.fault.HinemosUnknown, com.clustercontrol.fault.NotifyNotFound, com.clustercontrol.fault.JobInfoNotFound;

   /**
    * ファシリティIDが使用されているかチェックします。<BR> <P> 使用されていたら、UsedFacility がスローされる。<BR>
    * @param facilityId ファシリティ
    * @throws UsedFacility
    * @see com.clustercontrol.commons.ejb.session.CheckFacility#isUseFacilityId(java.lang.String)
    * @see com.clustercontrol.bean.PluginConstant;    */
   public void isUseFacilityId( java.lang.String facilityId ) throws com.clustercontrol.fault.UsedFacility;

}
