/*
 * Generated by XDoclet - Do not edit!
 */
package com.clustercontrol.jobmanagement.ejb.session;

/**
 * Local interface for JobRunManagement.
 * @xdoclet-generated at ${TODAY}
 * @copyright The XDoclet Team
 * @author XDoclet
 * @version 4.0.0
 */
public interface JobRunManagementLocal
   extends javax.ejb.EJBLocalObject
{
   /**
    * Quartzからのコールバックメソッド<BR> <P> Quartzから定周期で呼び出されます。<BR> <BR> 実行状態が実行中のセッションをチェックし、実行可能なジョブを開始する。<BR> 実行状態が待機のセッションをチェックし、ジョブを開始する。<BR>
    * @throws HinemosUnknown
    * @throws JobInfoNotFound
    * @see com.clustercontrol.jobmanagement.factory.OperationJob#runJob()
    * @see com.clustercontrol.jobmanagement.ejb.session.JobRunManagementBean#runWaitJob()    */
   public void run(  ) throws com.clustercontrol.fault.HinemosUnknown, com.clustercontrol.fault.JobInfoNotFound;

   /**
    * 指定されたセッションIDの実行中、待機セッションに対して、実行可能なジョブを開始する
    * @param sessionId セッションID
    * @throws HinemosUnknown
    * @throws JobInfoNotFound    */
   public void runSession( java.lang.String sessionId ) throws com.clustercontrol.fault.HinemosUnknown, com.clustercontrol.fault.JobInfoNotFound;

   /**
    * 実行状態が停止処理中のセッションのジョブをチェックします。<BR> <P> 実行状態の停止処理中のセッションをチェックし、ジョブを停止する。<BR>
    * @throws HinemosUnknown
    * @throws JobInfoNotFound
    * @see com.clustercontrol.jobmanagement.factory.OperationJob#checkStoppingJob()    */
   public void checkStoppingJob(  ) throws com.clustercontrol.fault.HinemosUnknown, com.clustercontrol.fault.JobInfoNotFound;

   /**
    * ジョブを実行します。<BR>
    * @param sessionId セッションID
    * @param jobunitId 所属ジョブユニットのジョブID
    * @param jobId ジョブID
    * @throws HinemosUnknown
    * @throws JobInfoNotFound
    * @see com.clustercontrol.jobmanagement.factory.OperationJob#runJob(String, String, String)    */
   public void runJob( java.lang.String sessionId,java.lang.String jobunitId,java.lang.String jobId ) throws com.clustercontrol.fault.HinemosUnknown, com.clustercontrol.fault.JobInfoNotFound;

   /**
    * ジョブの操作を行います。<BR>
    * @param property ジョブ操作用プロパティ
    * @throws HinemosUnknown
    * @throws JobInfoNotFound
    * @see com.clustercontrol.jobmanagement.factory.OperateStartOfJob#startJob(String, String, String)
    * @see com.clustercontrol.jobmanagement.factory.OperateSuspendOfJob#suspendJob(String, String)
    * @see com.clustercontrol.jobmanagement.factory.OperateSuspendOfJob#releaseSuspendJob(String, String)
    * @see com.clustercontrol.jobmanagement.factory.OperateWaitOfJob#waitJob(String, String)
    * @see com.clustercontrol.jobmanagement.factory.OperateWaitOfJob#releaseWaitJob(String, String)
    * @see com.clustercontrol.jobmanagement.factory.OperateSkipOfJob#skipJob(String, String, Integer)
    * @see com.clustercontrol.jobmanagement.factory.OperateSkipOfJob#releaseSkipJob(String, String)
    * @see com.clustercontrol.jobmanagement.factory.OperateStopOfJob#stopJob(String, String, String)
    * @see com.clustercontrol.jobmanagement.factory.OperateMaintenanceOfJob#maintenanceJob(String, String, String, Integer)
    * @see com.clustercontrol.jobmanagement.factory.OperateForceStopOfJob#forceStopJob(String, String, String, Integer)    */
   public void operationJob( com.clustercontrol.jobmanagement.bean.NodeOperationInfo property ) throws com.clustercontrol.fault.HinemosUnknown, com.clustercontrol.fault.JobInfoNotFound;

   /**
    * ノード終了処理を行います。<BR>
    * @param info 実行結果情報
    * @throws NamingException
    * @throws JobInfoNotFound
    * @see com.clustercontrol.jobmanagement.factory.OperationJob#endNode(RunResultInfo)    */
   public void endNodeSetStatus( com.clustercontrol.jobmanagement.bean.RunResultInfo info ) throws javax.naming.NamingException, com.clustercontrol.fault.JobInfoNotFound;

   /**
    * ノード終了処理を行います。<BR>
    * @param info 実行結果情報
    * @throws NamingException
    * @throws JobInfoNotFound
    * @see com.clustercontrol.jobmanagement.factory.OperationJob#endNode(RunResultInfo)    */
   public void endNode( com.clustercontrol.jobmanagement.bean.RunResultInfo info ) throws com.clustercontrol.fault.HinemosUnknown, com.clustercontrol.fault.JobInfoNotFound;

   /**
    * ロックオブジェクトを削除するためのメソッドです。 メンテナンス機能から呼び出されます。 このメソッドを呼び出さないと、メモリリークします。
    */
   public void removeLockSession( java.util.ArrayList sessionIdList ) ;

}
