/*
 * Generated by XDoclet - Do not edit!
 */
package com.clustercontrol.monitor.ejb.session;

/**
 * Local interface for MonitorController.
 * @xdoclet-generated at ${TODAY}
 * @copyright The XDoclet Team
 * @author XDoclet
 * @version 4.0.0
 */
public interface MonitorControllerLocal
   extends javax.ejb.EJBLocalObject
{
   /**
    * スコープ情報一覧を取得します。<BR><BR> 引数で指定されたファシリティの配下全てのファシリティのスコープ情報一覧を返します。<BR> 各スコープ情報は、ScopeDataInfoのインスタンスとして保持されます。<BR>
    * @param facilityId 取得対象の親ファシリティID
    * @return スコープ情報一覧（ScopeDataInfoが格納されたArrayList）
    * @throws MonitorNotFound
    * @throws HinemosUnknown
    * @throws FacilityNotFound
    * @see com.clustercontrol.monitor.bean.ScopeDataInfo
    * @see com.clustercontrol.monitor.factory.SelectScope#getScopeList(String)    */
   public java.util.ArrayList getScopeList( java.lang.String facilityId,boolean statusFlag,boolean eventFlag,boolean orderFlg ) throws com.clustercontrol.fault.MonitorNotFound, com.clustercontrol.fault.HinemosUnknown, com.clustercontrol.fault.FacilityNotFound;

   /**
    * 引数で指定された条件に一致するステータス情報一覧を取得します。<BR> 各ステータス情報は、StatusInfoDataのインスタンスとして保持されます。<BR>
    * @param facilityId 取得対象の親ファシリティID
    * @param property 検索条件
    * @return ステータス情報一覧（StatusInfoDataが格納されたArrayList）
    * @throws MonitorNotFound
    * @throws HinemosUnknown
    * @see com.clustercontrol.monitor.bean.StatusDataInfo
    * @see com.clustercontrol.monitor.factory.SelectStatus#getStatusList(String, StatusFilterInfo)    */
   public java.util.ArrayList getStatusList( java.lang.String facilityId,com.clustercontrol.monitor.bean.StatusFilterInfo filter ) throws com.clustercontrol.fault.MonitorNotFound, com.clustercontrol.fault.HinemosUnknown;

   /**
    * 引数で指定されたステータス情報を削除します。<BR> 引数のlistは、StatusDataInfoが格納されたListとして渡されます。<BR>
    * @param list 削除対象のステータス情報一覧（StatusDataInfoが格納されたList）
    * @return 削除に成功した場合、</code> true </code>
    * @throws MonitorNotFound
    * @throws HinemosUnknown
    * @since 2.0.0
    * @see com.clustercontrol.monitor.bean.StatusInfoData
    * @see com.clustercontrol.monitor.factory.DeleteStatus#delete(List)    */
   public boolean deleteStatus( java.util.ArrayList list ) throws com.clustercontrol.fault.MonitorNotFound, com.clustercontrol.fault.HinemosUnknown;

   /**
    * 存続期間を経過したステータス情報を削除 または 更新します。<BR><BR> Quartzから呼び出されるコールバックメソッド<BR> Quartz以外から呼び出さないでください。
    * @throws RemoveException
    * @throws FinderException
    * @throws NamingException トランザクション開始はユーザが制御する。 また、追加実装により、トランザクションの入れ子が予期せず生じることを避けるため、Neverを採用する。
    * @since 2.0.0
    * @see com.clustercontrol.monitor.factory.ManageStatus#execute()
    * @see #addQuartz(String)
    * @see #deleteQuartz()    */
   public void manageStatus(  ) throws javax.ejb.RemoveException, javax.ejb.FinderException, javax.naming.NamingException;

   /**
    * 引数で指定された条件に一致するイベント一覧情報を取得します。(クライアントview用)<BR><BR> 引数のpropertyには、com.clustercontrol.monitor.factory.EventFilterInfoの属性が１つ以上含まれます。<BR> 各イベント情報は、EventDataInfoインスタンスとして保持されます。<BR> 戻り値のViewListInfoは、クライアントにて表示用の形式に変換されます。
    * @param facilityId 取得対象の親ファシリティID
    * @param filter 検索条件
    * @param messages 表示イベント数
    * @return ビュー一覧情報
    * @throws MonitorNotFound
    * @throws HinemosUnknown
    * @see com.clustercontrol.monitor.bean.EventDataInfo
    * @see com.clustercontrol.monitor.factory.SelectEvent#getEventList(String, EventFilterInfo, int)    */
   public com.clustercontrol.commons.bean.ViewListInfo getEventList( java.lang.String facilityId,com.clustercontrol.monitor.bean.EventFilterInfo filter,int messages ) throws com.clustercontrol.fault.MonitorNotFound, com.clustercontrol.fault.HinemosUnknown;

   /**
    * 引数で指定された条件に一致する帳票出力用イベント情報一覧を返します。<BR><BR> 引数のpropertyには、com.clustercontrol.monitor.factory.StatusFilterPropertyの属性が １つ以上含まれます。<BR> 戻り値のArrayListはArrayListのArrayListであり、内部のArrayListには、 com.clustercontrol.monitor.bean.ReportEventInfoがリストとして格納されます。
    * @param facilityId 取得対象の親ファシリティID
    * @param property 検索条件
    * @return 帳票出力用イベント情報一覧（{@link com.clustercontrol.monitor.bean.ReportEventInfo}のリスト）
    * @throws MonitorNotFound
    * @throws HinemosUnknown
    * @since 2.1.0
    * @see com.clustercontrol.monitor.factory.SelectEvent#getEventListForReport(String, EventFilterInfo)    */
   public javax.activation.DataHandler downloadEventFile( java.lang.String facilityId,com.clustercontrol.monitor.bean.EventFilterInfo filter,java.lang.String filename ) throws com.clustercontrol.fault.MonitorNotFound, com.clustercontrol.fault.HinemosUnknown;

   /**
    * 一時ファイルとして作成したイベントファイルの削除。
    */
   public void deleteEventFile( java.lang.String filename ) ;

   /**
    * イベント詳細情報を取得します。<BR><BR>
    * @param monitorId 取得対象の監視項目ID
    * @param pluginId 取得対象のプラグインID
    * @param facilityId 取得対象のファシリティID
    * @param outputDate 取得対象の受信日時
    * @param locale ロケール情報
    * @return イベント詳細情報
    * @throws MonitorNotFound
    * @throws HinemosUnknown    */
   public com.clustercontrol.monitor.bean.EventDataInfo getEventInfo( java.lang.String monitorId,java.lang.String monitorDetailId,java.lang.String pluginId,java.lang.String facilityId,java.lang.Long outputDate ) throws com.clustercontrol.fault.MonitorNotFound, com.clustercontrol.fault.HinemosUnknown;

   /**
    * 引数で指定されたイベント情報のコメントを更新します。<BR><BR> コメント追記ユーザとして、コメントユーザを設定します。
    * @param monitorId 更新対象の監視項目ID
    * @param pluginId 更新対象のプラグインID
    * @param facilityId 更新対象のファシリティID
    * @param outputDate 更新対象の受信日時ID
    * @param confirmDate 確認済み日時（更新値）
    * @param confirmType 確認タイプ（未／済）（更新値）
    * @throws HinemosUnknown
    * @throws EventLogNotFound
    * @throws InvalidSetting
    * @throws FinderException
    * @see com.clustercontrol.bean.ConfirmConstant
    * @see com.clustercontrol.monitor.factory.ModifyEventComment#modifyComment(String, String, String, Date, String, Date, String)    */
   public void modifyComment( java.lang.String monitorId,java.lang.String monitorDetailId,java.lang.String pluginId,java.lang.String facilityId,java.lang.Long outputDate,java.lang.String comment,java.lang.Long commentDate,java.lang.String commentUser ) throws com.clustercontrol.fault.HinemosUnknown, com.clustercontrol.fault.EventLogNotFound, com.clustercontrol.fault.InvalidSetting;

   /**
    * 引数で指定されたイベント情報の確認を更新します。<BR><BR> 確認ユーザとして、操作を実施したユーザを設定します。
    * @param monitorId 更新対象の監視項目ID
    * @param pluginId 更新対象のプラグインID
    * @param facilityId 更新対象のファシリティID
    * @param outputDate 更新対象の受信日時ID
    * @param confirmDate 確認済み日時（更新値）
    * @param confirmType 確認タイプ（未／済）（更新値）
    * @throws MonitorNotFound
    * @throws HinemosUnknown
    * @see com.clustercontrol.bean.ConfirmConstant
    * @see com.clustercontrol.monitor.factory.ModifyEventConfirm#modifyConfirm(String, String, String, Date, Date, int)    */
   public void modifyConfirm( java.lang.String monitorId,java.lang.String monitorDetailId,java.lang.String pluginId,java.lang.String facilityId,int priority,java.lang.Long generateDate,java.lang.Long outputDate,java.lang.Long confirmDate,int confirmType ) throws com.clustercontrol.fault.MonitorNotFound, com.clustercontrol.fault.HinemosUnknown;

   /**
    * 引数で指定されたイベント情報一覧の確認を更新します。<BR><BR> 確認ユーザとして、操作を実施したユーザを設定します。<BR> 複数のイベント情報を更新します。
    * @param list 更新対象のイベント情報一覧（EventDataInfoが格納されたArrayList）
    * @param confirmType 確認タイプ（未／済）（更新値）
    * @throws MonitorNotFound
    * @throws HinemosUnknown
    * @see com.clustercontrol.bean.ConfirmConstant
    * @see com.clustercontrol.monitor.factory.ModifyEventConfirm#modifyConfirm(List, int)    */
   public void modifyConfirm( java.util.ArrayList list,int confirmType ) throws com.clustercontrol.fault.MonitorNotFound, com.clustercontrol.fault.HinemosUnknown;

   /**
    * 引数で指定された条件に一致するイベント情報の確認を一括更新します。<BR><BR> 確認ユーザとして、操作を実施したユーザを設定します。<BR>
    * @param confirmType 確認タイプ（未／済）（更新値）
    * @param facilityId 更新対象の親ファシリティID
    * @param property 更新条件
    * @throws HinemosUnknown
    * @see com.clustercontrol.bean.ConfirmConstant
    * @see com.clustercontrol.monitor.factory.ModifyEventConfirm#modifyBatchConfirm(int, String, EventBatchConfirmInfo)    */
   public void modifyBatchConfirm( int confirmType,java.lang.String facilityId,com.clustercontrol.monitor.bean.EventBatchConfirmInfo info ) throws com.clustercontrol.fault.HinemosUnknown;

   /**
    * ファシリティが利用されているか確認する。
    */
   public void isUseFacilityId( java.lang.String facilityId ) throws com.clustercontrol.fault.UsedFacility;

}
