/*
 * Generated by XDoclet - Do not edit!
 */
package com.clustercontrol.notify.ejb.session;

/**
 * Local interface for NotifyController.
 * @xdoclet-generated at ${TODAY}
 * @copyright The XDoclet Team
 * @author XDoclet
 * @version 4.0.0
 */
public interface NotifyControllerLocal
   extends javax.ejb.EJBLocalObject
{
   /**
    * 通知情報を作成します。
    * @param info 作成対象の通知情報
    * @return 作成に成功した場合、<code> true </code>
    * @throws HinemosUnknown
    * @throws NotifyDuplicate
    * @see com.clustercontrol.notify.factory.AddNotify#add(NotifyInfo)    */
   public boolean addNotify( com.clustercontrol.notify.bean.NotifyInfo info ) throws com.clustercontrol.fault.HinemosUnknown, com.clustercontrol.fault.NotifyDuplicate, com.clustercontrol.fault.InvalidSetting;

   /**
    * 通知情報を変更します。
    * @param info 変更対象の通知情報
    * @return 変更に成功した場合、<code> true </code>
    * @throws NotifyDuplicate
    * @throws HinemosUnknown
    * @see com.clustercontrol.notify.factory.ModifyNotify#modify(NotifyInfo)    */
   public boolean modifyNotify( com.clustercontrol.notify.bean.NotifyInfo info ) throws com.clustercontrol.fault.NotifyDuplicate, com.clustercontrol.fault.HinemosUnknown, com.clustercontrol.fault.InvalidSetting;

   /**
    * 通知情報を削除します。
    * @param notifyId 削除対象の通知ID
    * @return 削除に成功した場合、<code> true </code>
    * @throws NotifyDuplicate
    * @throws HinemosUnknown
    * @see com.clustercontrol.notify.factory.DeleteNotify#delete(String)    */
   public boolean deleteNotify( java.lang.String notifyId ) throws com.clustercontrol.fault.NotifyNotFound, com.clustercontrol.fault.HinemosUnknown;

   /**
    * 引数で指定された通知情報を返します。
    * @param notifyId 取得対象の通知ID
    * @return 通知情報
    * @throws NotifyNotFound
    * @throws HinemosUnknown
    * @see com.clustercontrol.notify.factory.SelectNotify#getNotify(String)    */
   public com.clustercontrol.notify.bean.NotifyInfo getNotify( java.lang.String notifyId ) throws com.clustercontrol.fault.NotifyNotFound, com.clustercontrol.fault.HinemosUnknown;

   /**
    * 通知情報一覧を返します。
    * @return 通知情報一覧（Objectの2次元配列）
    * @throws NotifyNotFound
    * @throws HinemosUnknown
    * @see com.clustercontrol.notify.factory.SelectNotify#getNotifyList()    */
   public java.util.ArrayList getNotifyList(  ) throws com.clustercontrol.fault.NotifyNotFound, com.clustercontrol.fault.HinemosUnknown;

   /**
    * 通知情報マップを返します。
    * @return 通知情報マップ
    * @throws NotifyNotFound
    * @throws HinemosUnknown
    * @see com.clustercontrol.notify.factory.SelectNotify#getNotifyMap()    */
   public java.util.HashMap getNotifyMap(  ) throws com.clustercontrol.fault.NotifyNotFound, com.clustercontrol.fault.HinemosUnknown;

   /**
    * 障害検知用通知情報一覧を返します。
    * @return 通知情報一覧（Objectの2次元配列）
    * @throws NotifyNotFound
    * @throws HinemosUnknown
    * @see com.clustercontrol.notify.factory.SelectNotify#getNotifyList()    */
   public java.util.ArrayList getTroubleDetectionNotifyList(  ) throws com.clustercontrol.fault.NotifyNotFound, com.clustercontrol.fault.HinemosUnknown;

   /**
    * 通知グループに対応する通知を取得します。
    * @param notifyGroupId 通知グループID
    * @return 通知
    * @throws NotifyNotFound
    * @throws HinemosUnknown    */
   public java.util.ArrayList getNotifyRelation( java.lang.String notifyGroupId ) throws com.clustercontrol.fault.NotifyNotFound, com.clustercontrol.fault.HinemosUnknown;

   /**
    * 通知グループを変更します。
    * @param info 通知のセット
    * @param notifyGroupId 通知グループID
    * @return 変更に成功した場合、<code> true </code>
    * @throws NotifyNotFound
    * @throws HinemosUnknown    */
   public boolean modifyNotifyRelation( java.util.Collection info,java.lang.String notifyGroupId ) throws com.clustercontrol.fault.NotifyNotFound, com.clustercontrol.fault.HinemosUnknown;

   /**
    * 通知グループを削除します。
    * @param notifyGroupId 通知グループID
    * @return 削除に成功した場合、<code> true </code>
    * @throws NotifyNotFound
    * @throws HinemosUnknown    */
   public boolean deleteNotifyRelation( java.lang.String notifyGroupId ) throws com.clustercontrol.fault.NotifyNotFound, com.clustercontrol.fault.HinemosUnknown;

   /**
    * 通知グループを作成します。
    * @param info 通知グループ
    * @return 作成に成功した場合、<code> true </code>
    * @throws HinemosUnknown    */
   public boolean addNotifyRelation( java.util.Collection info ) throws com.clustercontrol.fault.HinemosUnknown;

   /**
    * 　引数で指定した通知IDを利用している通知グループIDを取得する。
    * @param notifyId
    * @return　通知グループIDのリスト 
    * @throws NotifyNotFound
    * @throws HinemosUnknown    */
   public java.util.ArrayList checkNotifyId( java.lang.String notifyId ) throws com.clustercontrol.fault.NotifyNotFound, com.clustercontrol.fault.HinemosUnknown;

   /**
    * 　指定した通知IDを有効化/無効化する。
    * @param notifyId
    * @throws HinemosUnknown
    * @throws NotifyNotFound
    * @throws NotifyDuplicate    */
   public void setNotifyStatus( java.lang.String notifyId,boolean validFlag ) throws com.clustercontrol.fault.HinemosUnknown, com.clustercontrol.fault.NotifyNotFound, com.clustercontrol.fault.NotifyDuplicate;

   /**
    * 指定したファシリティIDが利用されているか確認する
    */
   public void isUseFacilityId( java.lang.String facilityId ) throws com.clustercontrol.fault.UsedFacility;

   /**
    * 外部から直接通知処理を実行します。
    * @param pluginId プラグインID
    * @param monitorId 監視項目ID
    * @param facilityId ファシリティID
    * @param subKey 抑制用のサブキー（任意の文字列）
    * @param generationDate 出力日時（エポック秒）
    * @param priority 重要度
    * @param application アプリケーション
    * @param messageId メッセージID
    * @param message メッセージ
    * @param messageOrg オリジナルメッセージ
    * @param notifyIdList 通知IDのリスト
    * @param srcId 送信元を特定するためのID
    * @throws FacilityNotFound
    * @throws HinemosUnknown
    * @throws NotifyNotFound    */
   public void notify( java.lang.String pluginId,java.lang.String monitorId,java.lang.String facilityId,java.lang.String subKey,long generationDate,int priority,java.lang.String application,java.lang.String messageId,java.lang.String message,java.lang.String messageOrg,java.util.ArrayList notifyIdList,java.lang.String srcId ) throws com.clustercontrol.fault.FacilityNotFound, com.clustercontrol.fault.HinemosUnknown, com.clustercontrol.fault.NotifyNotFound;

   /**
    * 外部から直接通知処理を実行します。
    * @param notifyInfo 通知情報    */
   public void notify( com.clustercontrol.notify.bean.OutputBasicInfo notifyInfo,java.lang.String notifyGroupId ) ;

}
