/*

Copyright (C) 2006 NTT DATA Corporation

This program is free software; you can redistribute it and/or
Modify it under the terms of the GNU General Public License
as published by the Free Software Foundation, version 2.

This program is distributed in the hope that it will be
useful, but WITHOUT ANY WARRANTY; without even the implied
warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE.  See the GNU General Public License for more details.

 */

package com.clustercontrol.winservice.ejb.entity;

import javax.ejb.EntityBean;

/**
 * Windowsサービス監視設定情報を管理する　Entity Bean
 * @ejb.bean name="MonitorWinServiceInfo"
 *           jndi-name="MonitorWinServiceInfo"
 *           type="CMP"
 *           schema="MonitorWinServiceInfo"
 *           cmp-version="2.x"
 *           data-source="java:/DefaultDS"
 *           view-type="local"
 *           primkey-field="monitorId"
 * 
 *  @jboss.depends name="jboss.jca:service=DataSourceBinding,name=DefaultDS"
 * 
 *  @jboss.container-configuration
 *    name="Hinemos Config CMP 2.x EntityBean"
 * 
 * @jboss.method-attributes
 *    pattern="get*"
 *    read-only="true"
 * 
 * @jboss.persistence
 *    datasource="java:/DefaultDS"
 *    datasource-mapping="PostgreSQL 8.0"
 *    table-name="public.cc_monitor_winservice_info"
 *    create-table="false"
 *    remove-table="false"
 *    alter-table="false"
 * 
 *  @ejb.permission
 *     unchecked="true"
 * 
 *  @ejb.persistence
 *   table-name="cc_monitor_winservice_info"
 * 
 *  @ejb.finder
 *    query="SELECT OBJECT(a) FROM MonitorWinServiceInfo as a"
 *    signature="java.util.Collection findAll()"
 *
 * @ejb.pk
 *    class="java.lang.String"
 * 
 */
public abstract class MonitorWinServiceInfoBean implements EntityBean {

	/**
	 *
	 * <!-- begin-user-doc -->
	 * The  ejbCreate method.
	 * <!-- end-user-doc -->
	 *
	 * <!-- begin-xdoclet-definition -->
	 * @ejb.create-method
	 * <!-- end-xdoclet-definition -->
	 * @generated
	 */
	public java.lang.String ejbCreate(
			String monitorId,
			String serviceName
	) throws javax.ejb.CreateException {

		this.setMonitorId(monitorId);
		this.setServiceName(serviceName);
		return null;
	}

	/**
	 * @ejb.persistent-field
	 * @ejb.persistence
	 *    column-name="service_name"
	 *     jdbc-type="VARCHAR"
	 *     sql-type="VARCHAR(1024)"
	 *     read-only="false"
	 * 
	 * @ejb.interface-method
	 * 
	 * @return Returns the Windows Service Name.
	 */
	public abstract String getServiceName();

	/**
	 * @ejb.interface-method
	 * 
	 * @param command The Windows Service Name to set.
	 */
	public abstract void setServiceName(String serviceName);

	/**
	 * @ejb.persistent-field
	 * @ejb.persistence
	 *    column-name="monitor_id"
	 *     jdbc-type="VARCHAR"
	 *     sql-type="VARCHAR(64)"
	 *     read-only="false"
	 * @ejb.pk-field
	 *
	 * @ejb.interface-method
	 * 
	 * @return Returns the monitorId.
	 */
	public abstract String getMonitorId();

	/**
	 * @ejb.interface-method
	 * 
	 * @param monitorId The monitorId to set.
	 */
	public abstract void setMonitorId(String monitorId);

}
